# QToolButton Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractButton.

### Constructor

- void QToolButton(QWidget parent)

### Constructor Properties

- prototype: The QToolButton prototype object
- DelayedPopup
- MenuButtonPopup
- InstantPopup
- ToolButtonPopupMode( value )

### Prototype Object Properties

The QToolButton prototype object inherits properties from the QAbstractButton prototype object and also has the following properties.

- QAction defaultAction()
- QMenu menu()
- QSize minimumSizeHint()
- void setMenu(QMenu menu)
- QSize sizeHint()

### Instance Properties

QToolButton objects inherit properties from the QToolButton prototype object and also have the following properties.

- popupMode
- toolButtonStyle
- autoRaise
- arrowType